Overview
========

The IRTC project is a simple demonstration program of the SDK IRTC driver.
This example is a low power module that provides time keeping and calendaring functions and additionally provides
protection against tampering, protection against spurious memory/register updates and battery operation.

SDK version
===========
- Version: 2.16.000

Toolchain supported
===================
- IAR embedded Workbench  9.60.1
- Keil MDK  5.39.0
- GCC ARM Embedded  13.2.1

Hardware requirements
=====================
- Mini/micro USB cable
- LPCXpresso55S36 board
- Personal Computer

Board settings
==============

Prepare the Demo
================
1.  Connect a micro USB cable between the PC host and the CMSIS DAP USB port (J1) on the board
2.  Open a serial terminal with the following settings (See Appendix A in Getting started guide for description how to determine serial port number):
    - 115200 baud rate
    - 8 data bits
    - No parity
    - One stop bit
    - No flow control
3.  Download the program to the target board.
4.  Either press the reset button on your board or launch the debugger in your IDE to begin running the demo.

Running the demo
================
When the demo runs successfully, the following message is displayed in the terminal:
~~~~~~~~~~~~~~~~~~~~~~~~
RTC Example START:

Start Time is 2015/1/21 18:55:30

Ring, ring, ring
Alarm Time is 2015/1/21 18:55:33

RTC Example END.
~~~~~~~~~~~~~~~~~~~~~~~
